<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.0-beta1/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-0evHe/X+R7YkIZDRvuzKMRqM+OrBnVFBL6DOitfPri4tjfHxaWutUpFmBp4vmVor" crossorigin="anonymous">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.8.3/font/bootstrap-icons.css">
    <title>Course de Voitures</title>
</head>

<body>
    <main>
        <div class="container">
            <div class="row my-3">
                <div class="col-12 col-md-8 offset-md-2 bg-dark text-white rounded p-3">
                    <h5 class="display-5">Course de Voitures</h5>
                    <hr>
                    <div class="row">
                        <div class="col">
                            <h6 class="display-6">Ajouter une Voiture</h6>
                            <hr>
                            <form id="car-form">
                                <div class="mb-3 row">
                                    <div class="col-4">
                                        <label for="car-brand" class="form-label">Marque :</label>
                                    </div>
                                    <div class="col">
                                        <input type="text" class="form-control" name="car-brand" id="car-brand" required>
                                    </div>
                                </div>
                                <div class="mb-3 row">
                                    <div class="col-4">
                                        <label for="car-model" class="form-label">Modèle :</label>
                                    </div>
                                    <div class="col">
                                        <input type="text" class="form-control" name="car-model" id="car-model" required>
                                    </div>
                                </div>
                                <div class="mb-3 row">
                                    <div class="col-4">
                                        <label for="car-speed" class="form-label">Vitesse (km/h) :</label>
                                    </div>
                                    <div class="col">
                                        <input type="text" class="form-control" name="car-speed" id="car-speed" required>
                                    </div>
                                </div>
                                <div class="mb-3 row">
                                    <div class="col-4">
                                        <label for="car-electric" class="form-label">Electrique ?</label>
                                    </div>
                                    <div class="col">
                                        <input type="checkbox" class="form-check-inline" name="car-electric"
                                            id="car-electric">
                                    </div>
                                </div>
                                <hr>
                                <div class="text-end">
                                    <button type="submit" class="btn btn-outline-light"><i
                                            class="bi bi-plus-circle"></i> Ajouter</button>
                                </div>
                            </form>
                        </div>
                        <div class="col">
                            <h6 class="display-6">Modifier Voiture</h6>
                            <hr>
                            <div class="row">
                                <div class="mb-3 row">
                                    <div class="col-4">
                                        <label for="car-choice" class="form-label">Voiture :</label>
                                    </div>
                                    <div class="col">
                                        <select class="form-select" name="car-choice" id="car-choice"></select>
                                    </div>
                                </div>
                                <hr>
                                <div class="text-end">
                                    <button class="btn btn-outline-secondary me-2 car-control" id="car-brake"><i class="bi bi-chevron-double-left"></i></button>
                                    <button class="btn btn-outline-secondary me-2 car-control" id="car-accelerate"><i class="bi bi-chevron-double-right"></i></button>
                                    <button class="btn btn-outline-warning me-2 car-control" id="car-stop"><i class="bi bi-pause-circle"></i></button>
                                    <button class="btn btn-outline-success me-2 car-control" id="car-start"><i class="bi bi-play-circle"></i></button>
                                    <button class="btn btn-outline-info car-control" id="car-refill"><i class="bi bi-battery-charging"></i></button>
                                </div>
                            </div>
                            
                        </div>
                        <div class="col-12">
                            <h6 class="display-6">Course</h6>
                            <hr>
                            <div class="p-3" id="race-follow"></div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </main>

    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.0-beta1/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-pprn3073KE6tl6bjs2QrFaJGz5/SUsLqktiwsUTF55Jfv3qYSDhgCecCxMW52nD2"
        crossorigin="anonymous"></script>
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
        <script src="./main.js"></script>
</body>

</html>